---
sidebar_label: CLI.(constructor)
---

# CLI.(constructor)

Constructs a new instance of the `CLI` class

#### Signature:

```typescript
class CLI {
  constructor(cachePath?: string, rl?: readline.Interface);
}
```

## Parameters

| Parameter | Type               | Description  |
| --------- | ------------------ | ------------ |
| cachePath | string             | _(Optional)_ |
| rl        | readline.Interface | _(Optional)_ |
